﻿using System.ComponentModel.DataAnnotations;
using DataAccess.Interface;

namespace DataAccess.Model
{
    public class QuestionsOfTest : IEntity
    {
        public virtual int Id { get; set; }

        [Required(ErrorMessage = "Zadejte číslo otázky")]
        public virtual int Number { get; set; }

        public virtual bool State { get; set; }

        public virtual Test Test { get; set; }

        public virtual Question Question { get; set; }
    }
}
